<?PHP

/* ====================

==================== */

define('LDU_CODE', TRUE);
define('SED_CODE', TRUE);

$ldu_yesno[0] = "No";
$ldu_yesno[1] = "Yes";

$dbprefix_ldu = "ldu_";
$dbprefix_sed = "sed_";


require("system/functions.php");
require("datas/config.php");
$sqldb_file = 'system/database.'.$cfg['sqldb'].'.php';
require($sqldb_file);



echo "<html>
<head>
<meta http-equiv=\"Content-Type\" content=\"text/html; charset=ISO-8859-1\" />
<style type=\"text/css\">
<!--
body 		{ background-color:#45444A; margin:32px; font-family:Verdana,Arial,Helvetica; color:#EEEEEE; font-size:12px; }
a 			{ text-decoration: none; color:#AFCCE5; }
a:hover 	{ text-decoration: none; color:#000000; background-color:#AFCCE5; }
h1			{ color: #FFFFFF; font-size:140%; font-weight:bold; margin:1.5em .7em .2em 0em; }
h2			{ color: #FFCC00; font-size:120%; font-weight:bold; margin:1.5em .7em .7em 0em; }
h3			{ color: #FFFFFF; font-size:110%; font-weight:bold; margin:1.5em .7em .7em 0em; }
h4			{ color: #FFFFFF; font-size:100%; font-weight:bold; margin:1.5em .7em .7em 0em; }
h5			{ color: #FFFFFF; font-size:90%; font-weight:bold; margin:1.5em .7em .7em 0em; }
.success	{ color:#73E373; font-weight:bold; }
.mixed		{ color:#6D9FE3; font-weight:bold; }
.failure	{ color:#FF0000; font-weight:bold; }
.fatal		{ color:#FFCC00; font-weight:bold; }
.yes		{ color:#94C280; font-weight:bold; }
.part		{ color:#C0C0FF; font-weight:bold; }
.no			{ color:#BC7474; font-weight:bold; }
ul 			{ list-style-type:square; margin:6px; }

-->
</style>

<h1><a href=\"upgrade-ldu802-to-seditio100.php\">Land Down Under v802 -> Seditio v100 : UPGRADE</a></h1>
PHP/MySQL Website engines - <a href=\"http://www.neocrome.net/\">http://www.neocrome.net</a><br />
&nbsp;<br />
";


if (!sed_sql_connect($cfg['mysqlhost'], $cfg['mysqluser'], $cfg['mysqlpassword'], $cfg['mysqldb']))
	{
	echo("Fatal error, could not connect to the database !");
	die();
	}
unset($cfg['mysqlhost'], $cfg['mysqluser'], $cfg['mysqlpassword'], $cfg['mysqldb']);

unset($out, $title, $comments);
// $step = sed_import('step','G','INT');
$step = $_GET['step'];
$step = ($step<1) ? 1 : $step;
$cnt_in = 0;
$cnt_up = 0;


function sed_check_die()
	{
	echo "<br /><span class=\"fatal\"Fatal error, can't go on, existing.</style>";
	die();
	}

function sed_check_success($extra)
	{
	$res = "<br />";
	$res .= nl2br($extra)." &nbsp; ";
	$res .= " &nbsp; <span class=\"success\">Success</span> ";
	return ($res);
	}

function sed_check_mixed($extra)
	{
	$res = "<br />";
	$res .= nl2br($extra)." &nbsp; ";
	$res .= " &nbsp; <span class=\"mixed\">Success</span> ";
	return ($res);
	}

function sed_check_failed($extra)
	{
	$res = "<br />";
	$res .= nl2br($extra)." &nbsp; ";
	$res .= " &nbsp; <span class=\"failure\">Failure !</span> ";
	return ($res);
	}

function sed_buildnxtstep($nxtstep)
	{
	$res = "<form action=\"upgrade-ldu802-to-seditio100.php?step=$nxtstep\" method=\"post\" name=\"nextstep\">";
	$res .= "<input type=\"submit\" value=\"&nbsp; &nbsp; Next  step ! (".$nxtstep.")&nbsp; &nbsp;\"></form>";
	return ($res);
	}

function sed_query_chk($query)
	{
	if ($sql = sed_sql_query($query))
		{
		$affected = sed_sql_affectedrows($sql);
		if ($affected==0)
			{
			return (sed_check_mixed($query. " (".$affected.")"));
			}
		else
			{
			return (sed_check_success($query. " (".$affected.")"));
			}
		}
	else
		{
		return (sed_check_failed($query));
		}

	}

// ===========================

switch($step)
	{
	// ------------------------------
	case '1':
	// ------------------------------

	$title = "Ready ?";
	$comments = "This tool will handle the upgrade of the SQL database from Land Down Under v802 to Seditio v100.<br />";
	$comments .= "The process is split into many steps, in case one is failling, roll back to your previous SQL backup, and ask for help in the Neocrome forums.<br />Give as much details as possible about the problem, you'll get help faster...<br />&nbsp;<br />NEVER run this upgrade tool more than once ! As soon as it fails, you must go back to a complete LDU v802 SQL backup !<br />&nbsp;<br />";
	$comments .= "Make REALLY sure that you have a backup of your database with phpMyAdmin !";
	$comments .= "<h4>This tool will convert :</h4>";
	$comments .= "<ul class=\"yes\">";
	$comments .= "<li>The configuration</li>";
	$comments .= "<li>The users</li>";
	$comments .= "<li>The structure</li>";
	$comments .= "<li>The pages</li>";
	$comments .= "<li>The forums</li>";
	$comments .= "<li>The comments</li>";
	$comments .= "<li>The ratings</li>";
	$comments .= "<li>The polls</li>";
	$comments .= "<li>The smilies</li>";
	$comments .= "<li>The private messages</li>";
	$comments .= "<li>The personal file spaces</li>";
	$comments .= "<li>The statistics</li>";
	$comments .= "<li>The logger</li>";
	$comments .= "<li>The referers</li>";
	$comments .= "</ul>";
	$comments .= "<h4>This tool will PARTIALLY convert :</h4>";
	$comments .= "<ul class=\"part\">";
	$comments .= "<li>The links (links.php)</li>";
	$comments .= "<li>The weblogs (journal.php)</li>";
	$comments .= "<li>The events</li>";
	$comments .= "</ul>";
	$comments .= "<h4>This tool will NOT convert :</h4>";
	$comments .= "<ul class=\"no\">";
	$comments .= "<li>The special rights</li>";
	$comments .= "<li>The old system of user groups (groups.php)</li>";
	$comments .= "</ul>";
	$next = sed_buildnxtstep(2);
	break;



	// ------------------------------
	case '2':
	// ------------------------------

	$title = "Updating the configuration table";
	$comments = "";

	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='userdetminlevel';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='selfctrlminlevel';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='posterminlevel';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='disablegroups';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='disablegroupsprv';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='groupsprvminlevel';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='groupsprvmax';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='disablespecialrules';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='maxnewsinindex';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='disablelinks';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='disableevents';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='disablejrn';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='jrn_pagemaxsize';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='parsebbcodeevents';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='parsebbcodenews';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='parsebbcodejrn';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='parsesmiliesnews';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='parsesmiliesjrn';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='parsesmiliesevents';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='disablenews';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='commentsminlevel';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='access_pfs';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='maintenance';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='maintenance_reason';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='compatibility600';");
	$out .= "<br />&nbsp;";
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_name='disable_comments' WHERE config_name='disablecomments';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_name='disable_forums' WHERE config_name='disableforums';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_name='disable_pfs' WHERE config_name='disablepfs';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_name='disable_polls' WHERE config_name='disablepolls';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_name='disable_pm' WHERE config_name='disablepm';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_name='disable_ratings' WHERE config_name='disableratings';");
	$out .= "<br />&nbsp;";
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='disable_page';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='disable_plug';");
	$out .= sed_query_chk("DELETE FROM ".$dbprefix_ldu."config WHERE config_name='pfsuserfolder';");
	$out .= "<br />&nbsp;";
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_ldu."config VALUES ('core', 'page', '01', 'disable_page', '3', 0, '', '');");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_ldu."config VALUES ('core', 'plug', '01', 'disable_plug', '3', 0, '', '');");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_ldu."config VALUES ('core', 'pfs', '02', 'pfsuserfolder', '3', 0, '', '');");
	$out .= "<br />&nbsp;";
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='menus', config_order='15' WHERE config_name='menu1';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='menus', config_order='15' WHERE config_name='menu2';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='menus', config_order='15' WHERE config_name='menu3';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='menus', config_order='15' WHERE config_name='menu4';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='menus', config_order='15' WHERE config_name='menu5';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='menus', config_order='15' WHERE config_name='menu6';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='menus', config_order='15' WHERE config_name='menu7';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='menus', config_order='15' WHERE config_name='menu8';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='menus', config_order='15' WHERE config_name='menu9';");
	$out .= "<br />&nbsp;";
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='menus', config_order='10' WHERE config_name='topline';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='menus', config_order='10' WHERE config_name='banner';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='menus', config_order='10' WHERE config_name='motd';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='menus', config_order='10' WHERE config_name='bottomline';");
	$out .= "<br />&nbsp;";
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='menus', config_order='20' WHERE config_name='freetext1';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='menus', config_order='20' WHERE config_name='freetext2';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='menus', config_order='20' WHERE config_name='freetext3';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='menus', config_order='20' WHERE config_name='freetext4';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='menus', config_order='20' WHERE config_name='freetext5';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='menus', config_order='20' WHERE config_name='freetext6';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='menus', config_order='20' WHERE config_name='freetext7';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='menus', config_order='20' WHERE config_name='freetext8';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='menus', config_order='20' WHERE config_name='freetext9';");
	$out .= "<br />&nbsp;";
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='global', config_order='20' WHERE config_name='shieldenabled';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='global', config_order='20' WHERE config_name='shieldtadjust';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='global', config_order='20' WHERE config_name='shieldzhammer';");
	$out .= "<br />&nbsp;";
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='users', config_order='20' WHERE config_cat='userextra';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='main' WHERE config_cat='global';");
	$out .= "<br />&nbsp;";
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='forums', config_order='20' WHERE config_name='parsebbcodeforums';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='forums', config_order='20' WHERE config_name='parsesmiliesforums';");
	$out .= "<br />&nbsp;";
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='pages', config_order='02' WHERE config_name='allowphp_pages';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='pages', config_order='20' WHERE config_name='parsebbcodepages';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='pages', config_order='20' WHERE config_name='parsesmiliespages';");
	$out .= "<br />&nbsp;";
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='users', config_order='11' WHERE config_name='parsebbcodeusertext';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='users', config_order='11' WHERE config_name='parsesmiliesusertext';");
	$out .= "<br />&nbsp;";
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='comments', config_order='20' WHERE config_name='parsebbcodecom';");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='comments', config_order='20' WHERE config_name='parsesmiliescom';");
	$out .= "<br />&nbsp;";
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."config SET config_cat='page' WHERE config_cat='pages';");

	$next = sed_buildnxtstep(3);
	break;



	// ------------------------------
	case '3':
	// ------------------------------

	$title = "Creating the 2 system tables 'auth' and 'core', and populating";
	$comments = "";

	$out .= sed_query_chk("DROP TABLE IF EXISTS ".$dbprefix_sed."auth;");
	$out .= sed_query_chk("DROP TABLE IF EXISTS ".$dbprefix_sed."core;");
	$out .= "<br />&nbsp;";
	$out .= sed_query_chk("CREATE TABLE ".$dbprefix_sed."auth (
  auth_id mediumint(8) NOT NULL auto_increment,
  auth_groupid int(11) NOT NULL default '0',
  auth_code varchar(24) NOT NULL default '',
  auth_option varchar(24) NOT NULL default '',
  auth_rights tinyint(1) unsigned NOT NULL default '0',
  auth_rights_lock tinyint(1) unsigned NOT NULL default '0',
  auth_setbyuserid int(11) unsigned NOT NULL default '0',
  PRIMARY KEY (auth_id),
  KEY auth_groupid (auth_groupid),
  KEY auth_code (auth_code)
) TYPE=MyISAM;");
	$out .= "<br />&nbsp;";
	$out .= sed_query_chk("CREATE TABLE ".$dbprefix_sed."core (
  ct_id mediumint(8) NOT NULL auto_increment,
  ct_code varchar(24) NOT NULL default '',
  ct_title varchar(64) NOT NULL default '',
  ct_version varchar(16) NOT NULL default '',
  ct_state tinyint(1) unsigned NOT NULL default '1',
  ct_lock tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY (ct_id),
  KEY ct_code (ct_code)
) TYPE=MyISAM;");
	$out .= "<br />&nbsp;";
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."core VALUES (1, 'admin', 'Administration panel', '100', 1, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."core VALUES (2, 'comments', 'Comments', '100', 1, 0);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."core VALUES (3, 'forums', 'Forums', '100', 1, 0);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."core VALUES (4, 'index', 'Home page', '100', 1, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."core VALUES (5, 'message', 'Messages', '100', 1, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."core VALUES (6, 'page', 'Pages', '100', 1, 0);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."core VALUES (7, 'pfs', 'Personal File Space', '100', 1, 0);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."core VALUES (8, 'plug', 'Plugins', '100', 1, 0);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."core VALUES (9, 'pm', 'Private messages', '100', 1, 0);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."core VALUES (10, 'polls', 'Polls', '100', 1, 0);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."core VALUES (11, 'ratings', 'Ratings', '100', 1, 0);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."core VALUES (12, 'users', 'Users', '100', 1, 1);");

	$next = sed_buildnxtstep(4);
	break;



	// ------------------------------
	case '4':
	// ------------------------------

	$title = "Replacing the old tables for groups";
	$comments = "The LDU tables for groups are renamed into ".$dbprefix_ldu."groups_old and ".$dbprefix_ldu."groups_users_old<br />";
	$comments .= "The new system of groups for Seditio is totally separated from this, if you want to keep the old groups features you will have to use a plugin, if available.";

	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."groups TO ".$dbprefix_ldu."groups_old;");
	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."groups_users TO ".$dbprefix_ldu."groups_users_old;");
	$out .= "<br />&nbsp;";

	$out .= sed_query_chk("CREATE TABLE ".$dbprefix_sed."groups (
  grp_id int(11) NOT NULL auto_increment,
  grp_alias varchar(24) NOT NULL default '',
  grp_level tinyint(2) NOT NULL default '1',
  grp_disabled tinyint(1) NOT NULL default '0',
  grp_hidden tinyint(1) NOT NULL default '0',
  grp_title varchar(64) NOT NULL default '',
  grp_desc varchar(255) NOT NULL default '',
  grp_icon varchar(128) NOT NULL default '',
  grp_pfs_maxfile int(11) NOT NULL default '0',
  grp_pfs_maxtotal int(11) NOT NULL default '0',
  grp_ownerid int(11) NOT NULL default '0',
  PRIMARY KEY  (grp_id)
) TYPE=MyISAM;");
	$out .= "<br />&nbsp;";

	$out .= sed_query_chk("CREATE TABLE ".$dbprefix_sed."groups_users (
  gru_userid int(11) NOT NULL default '0',
  gru_groupid int(11) NOT NULL default '0',
  gru_state tinyint(1) NOT NULL default '0',
  gru_extra1 varchar(255) NOT NULL default '',
  gru_extra2 varchar(255) NOT NULL default '',
  KEY gru_userid (gru_userid),
  UNIQUE KEY gru_groupid (gru_groupid,gru_userid)
) TYPE=MyISAM;");

	$next = sed_buildnxtstep(5);
	break;



	// ------------------------------
	case '5':
	// ------------------------------

	$title = "Setting the rights for the core module";
	$comments = "";

	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (1, 1, 'admin', 'a', 0, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (2, 2, 'admin', 'a', 0, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (3, 3, 'admin', 'a', 0, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (4, 4, 'admin', 'a', 0, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (5, 5, 'admin', 'a', 255, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (6, 1, 'comments', 'a', 1, 254, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (7, 2, 'comments', 'a', 1, 254, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (8, 3, 'comments', 'a', 0, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (9, 4, 'comments', 'a', 3, 128, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (10, 5, 'comments', 'a', 255, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (11, 1, 'index', 'a', 1, 254, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (12, 2, 'index', 'a', 1, 254, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (13, 3, 'index', 'a', 0, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (14, 4, 'index', 'a', 1, 128, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (15, 5, 'index', 'a', 255, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (16, 1, 'message', 'a', 1, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (17, 2, 'message', 'a', 1, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (18, 3, 'message', 'a', 1, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (19, 4, 'message', 'a', 1, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (20, 5, 'message', 'a', 255, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (21, 1, 'pfs', 'a', 0, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (22, 2, 'pfs', 'a', 0, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (23, 3, 'pfs', 'a', 0, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (24, 4, 'pfs', 'a', 3, 128, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (25, 5, 'pfs', 'a', 255, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (26, 1, 'pm', 'a', 0, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (27, 2, 'pm', 'a', 0, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (28, 3, 'pm', 'a', 0, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (29, 4, 'pm', 'a', 3, 128, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (30, 5, 'pm', 'a', 255, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (31, 1, 'polls', 'a', 1, 254, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (32, 2, 'polls', 'a', 1, 254, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (33, 3, 'polls', 'a', 0, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (34, 4, 'polls', 'a', 3, 128, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (35, 5, 'polls', 'a', 255, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (36, 1, 'ratings', 'a', 1, 254, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (37, 2, 'ratings', 'a', 1, 254, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (38, 3, 'ratings', 'a', 0, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (39, 4, 'ratings', 'a', 3, 128, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (40, 5, 'ratings', 'a', 255, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (41, 1, 'users', 'a', 0, 254, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (42, 2, 'users', 'a', 0, 254, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (43, 3, 'users', 'a', 0, 255, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (44, 4, 'users', 'a', 3, 128, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth VALUES (45, 5, 'users', 'a', 255, 255, 1);");

	$next = sed_buildnxtstep(6);
	break;



	// ------------------------------
	case '6':
	// ------------------------------

	$title = "Creating the default groups and moving the users from the levels 1 and 99";
	$comments = "All users from the LDU level 1 are moved into the group 'Members'.<br />";
	$comments .= "All users from the LDU level 99 are moved into the group 'Administrators'.<br />";

	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."groups VALUES (1, 'guests', 0, 0, '0', 'Guests', '', '', 0, 0, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."groups VALUES (2, 'inactive', 1, 0, '0', 'Inactive', '', '', 0, 0, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."groups VALUES (3, 'banned', 1, 0, '0', 'Banned', '', '', 0, 0, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."groups VALUES (4, 'members', 1, 0, '0', 'Members', '', '', 0, 0, 1);");
	$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."groups VALUES (5, 'administrators', 99, 0, '0', 'Administrators', '', '', 256, 1024, 1);");

	$out .= sed_query_chk("ALTER TABLE ".$dbprefix_ldu."users ADD COLUMN user_auth text AFTER user_jrnupdated;");
	$out .= sed_query_chk("ALTER TABLE ".$dbprefix_ldu."users ADD COLUMN user_maingrp int(11) unsigned NOT NULL default '4' AFTER user_password;");

	$out .= sed_sql_query("UPDATE ".$dbprefix_ldu."users SET user_maingrp=4 WHERE 1");

	$sql = sed_sql_query("SELECT user_id FROM ".$dbprefix_ldu."users WHERE user_banned=1");

	while ($row = sed_sql_fetcharray($sql))
		{
		$sql1 = sed_sql_query("UPDATE ".$dbprefix_ldu."users SET user_maingrp=3 WHERE user_id=".$row['user_id']);
		$cnt_up++;
		}

	$sql = sed_sql_query("SELECT user_id FROM ".$dbprefix_ldu."users WHERE user_active=0");

	while ($row = sed_sql_fetcharray($sql))
		{
		$sql1 = sed_sql_query("UPDATE ".$dbprefix_ldu."users SET user_maingrp=2 WHERE user_id=".$row['user_id']);
		$cnt_up++;
		}

	$sql = sed_sql_query("SELECT user_id FROM ".$dbprefix_ldu."users WHERE user_level=99");

	while ($row = sed_sql_fetcharray($sql))
		{
		$sql1 = sed_sql_query("UPDATE ".$dbprefix_ldu."users SET user_maingrp=5 WHERE user_id=".$row['user_id']);
		$sql1 = sed_sql_query("INSERT INTO ".$dbprefix_sed."groups_users VALUES (".$row['user_id'].", 1, 0, '', '');");
		$sql1 = sed_sql_query("INSERT INTO ".$dbprefix_sed."groups_users VALUES (".$row['user_id'].", 5, 0, '', '');");
		$cnt_up++;
		$cnt_in+=2;
		}

	$sql = sed_sql_query("SELECT user_id, user_maingrp FROM ".$dbprefix_ldu."users WHERE user_maingrp!=5 ORDER BY user_id ASC");
	while ($row = sed_sql_fetcharray($sql))
		{
		$sql1 = sed_sql_query("INSERT INTO ".$dbprefix_sed."groups_users VALUES (".$row['user_id'].", ".$row['user_maingrp'].", 0, '', '');");
		$cnt_in++;
		}
	$out .= "<br />*** Multiples Inserts : ".$cnt_in;
	$out .= "<br />*** Multiples Updates : ".$cnt_up;

	$next = sed_buildnxtstep(7);
	break;



	// ------------------------------
	case '7':
	// ------------------------------

	$title = "Updating and setting the rights for the forums";
	$comments = "";

	$sql = sed_sql_query("SELECT fs_id, fs_minlevel FROM ".$dbprefix_ldu."forum_sections WHERE 1 ORDER BY fs_id ASC");
	$cnt_in = 0;

	while ($row = sed_sql_fetcharray($sql))
		{
		$auth = ($row['fs_minlevel']==0) ? 1 : 0;
		$sql1 = sed_sql_query("INSERT INTO ".$dbprefix_sed."auth (auth_groupid, auth_code, auth_option, auth_rights, auth_rights_lock, auth_setbyuserid)
			VALUES (1, 'forums', '".$row['fs_id']."', ".$auth.", 254, 1);");
		$auth = ($row['fs_minlevel']==0) ? 1 : 0;
		$sql1 = sed_sql_query("INSERT INTO ".$dbprefix_sed."auth (auth_groupid, auth_code, auth_option, auth_rights, auth_rights_lock, auth_setbyuserid)
			VALUES (2, 'forums', '".$row['fs_id']."', ".$auth.", 254, 1);");
		$sql1 = sed_sql_query("INSERT INTO ".$dbprefix_sed."auth (auth_groupid, auth_code, auth_option, auth_rights, auth_rights_lock, auth_setbyuserid)
			VALUES (3, 'forums', '".$row['fs_id']."', 0, 255, 1);");
		$auth = ($row['fs_minlevel']==0) ? 3 : 0;
		$sql1 = sed_sql_query("INSERT INTO ".$dbprefix_sed."auth (auth_groupid, auth_code, auth_option, auth_rights, auth_rights_lock, auth_setbyuserid)
			VALUES (4, 'forums', '".$row['fs_id']."', ".$auth.", 128, 1);");
		$sql1 = sed_sql_query("INSERT INTO ".$dbprefix_sed."auth (auth_groupid, auth_code, auth_option, auth_rights, auth_rights_lock, auth_setbyuserid)
			VALUES (5, 'forums', '".$row['fs_id']."', 255, 255, 1);");
		$cnt_in += 5;
		}
	$out .= "<br />*** Multiples Inserts : ".$cnt;

	$out .= sed_query_chk("ALTER TABLE ".$dbprefix_ldu."forum_sections DROP COLUMN fs_minlevel;");
	$out .= sed_query_chk("ALTER TABLE ".$dbprefix_ldu."forum_sections DROP COLUMN fs_minlevelnewtopic;");
	$out .= sed_query_chk("ALTER TABLE ".$dbprefix_ldu."forum_sections DROP COLUMN fs_minlevelnewpost;");

	$next = sed_buildnxtstep(8);
	break;



	// ------------------------------
	case '8':
	// ------------------------------

	$title = "Updating the structure (pages) and moving the category 'system'";
	$comments = "";

	$out .= sed_query_chk("ALTER TABLE ".$dbprefix_ldu."pages ADD COLUMN page_begin int(11) NOT NULL default '0' AFTER page_date;");
	$out .= sed_query_chk("ALTER TABLE ".$dbprefix_ldu."pages ADD COLUMN page_expire int(11) NOT NULL default '0' AFTER page_begin;");
	$out .= sed_query_chk("ALTER TABLE ".$dbprefix_ldu."pages ADD COLUMN page_ownerid int(11) NOT NULL default '0' AFTER page_owner;");

	$sql = sed_sql_query("SELECT structure_code FROM ".$dbprefix_ldu."structure WHERE structure_code='system'");

	if ($row = sed_sql_fetcharray($sql))
		{
		// Weird, but fine.
		}
	else
		{
		$out .= sed_query_chk("INSERT INTO ".$dbprefix_ldu."structure
			(structure_code, structure_path, structure_title, structure_desc, structure_icon, structure_group, structure_order)
			VALUES ('system', 'sys', 'System', '', '', 0 , 'title.asc');");
		}

	$sql = sed_sql_query("SELECT p.page_id, u.user_id FROM ".$dbprefix_ldu."pages as p
		LEFT JOIN ".$dbprefix_ldu."users AS u ON u.user_name=p.page_owner
		WHERE 1");

	while ($row = sed_sql_fetcharray($sql))
		{
		$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."pages SET page_ownerid='".$row['user_id']."' WHERE page_id='".$row['page_id']."'");
		}

	$next = sed_buildnxtstep(9);
	break;



	// ------------------------------
	case '9':
	// ------------------------------

	$title = "Moving the news";
	$comments = "You can display the recent news in the site's home page with the plugin 'news'.";

	$sql = sed_sql_query("SELECT * FROM ".$dbprefix_ldu."news WHERE 1");

	while ($row = sed_sql_fetcharray($sql))
		{
		$sql1 = sed_sql_query("INSERT into ".$dbprefix_ldu."pages (page_state, page_type, page_cat, page_extra1,  page_extra2, page_title, page_desc, page_text, page_author, page_ownerid, page_date, page_begin, page_expire) VALUES
		('0', '0', '".$row['news_cat']."', '".sed_sql_prep($row['news_extra1'])."', '".sed_sql_prep($row['news_extra2'])."', '".sed_sql_prep($row['news_title'])."', '', '".sed_sql_prep($row['news_text'])."', '".sed_sql_prep($row['news_owner'])."', '".$row['news_ownerid']."', '".$row['news_date']."', '".$row['news_date']."',  '".$row['news_expire']."')");
		$cnt_in++;
		
		// -- NEW TO CONVERT TOOL - CONVERT NEWS COMMENTS TOO - ADDED BY HODGES -- //

		$sql2 = sed_sql_query("SELECT com_code FROM ".$dbprefix_ldu."com WHERE com_code='n".$row['news_id']."'");

		while ($row2 = sed_sql_fetcharray($sql2))
			{
			$sql3 = sed_sql_query("UPDATE ".$dbprefix_ldu."com SET com_code = 'p".mysql_insert_id()."' WHERE com_code='n".$row['news_id']."'");
			$out .= $sql3;
			}
		// -- FINISH -- //
		}

	$out .= "<br />*** Multiples Inserts : ".$cnt_in;

	$next = sed_buildnxtstep(10);
	break;



	// ------------------------------
	case '10':
	// ------------------------------

	$title = "Moving the links";
	$comments = "All the links are converted into pages, in the same category.";

	$sql = sed_sql_query("SELECT l.*, u.user_id FROM ".$dbprefix_ldu."links as l LEFT JOIN ".$dbprefix_ldu."users as u ON u.user_name=l.link_owner WHERE 1");

	while ($row = sed_sql_fetcharray($sql))
		{
		$sql1 = sed_sql_query("INSERT into ".$dbprefix_ldu."pages (page_state, page_type, page_cat, page_extra1,  page_extra2, page_title, page_desc, page_text, page_ownerid, page_date, page_file, page_url, page_filecount) VALUES
		('0', '0', '".$row['link_cat']."', '".sed_sql_prep($row['link_extra1'])."', '".sed_sql_prep($row['link_extra2'])."', '".sed_sql_prep($row['link_title'])."', '".sed_sql_prep($row['link_desc'])."', '', '".sed_sql_prep($row['user_id'])."', '".$row['news_date']."', '1', '".sed_sql_prep($row['link_url'])."', '".$row['link_count']."')");
		$cnt_in++;
		}

	$out .= "<br />*** Multiples Inserts : ".$cnt_in;

	$next = sed_buildnxtstep(11);
	break;



	// ------------------------------
	case '11':
	// ------------------------------

	$title = "Moving the events";
	$comments = "All the events are converted into pages, in the same category.";
	$comments .= "Note that the 'Yes/No/Maybe' option isn't supported by Seditio, for this you'll have to rely on a plugin, if available.";

	$sql = sed_sql_query("SELECT e.*, u.user_id FROM ".$dbprefix_ldu."events as e LEFT JOIN ".$dbprefix_ldu."users as u ON u.user_name=e.event_owner WHERE 1");

	while ($row = sed_sql_fetcharray($sql))
		{
		$sql1 = sed_sql_query("INSERT into ".$dbprefix_ldu."pages (page_state, page_type, page_cat, page_extra1,  page_extra2, page_title, page_desc, page_text, page_ownerid, page_date, page_begin, page_expire, page_url) VALUES
		('0', '0', '".$row['event_cat']."', '".sed_sql_prep($row['event_extra1'])."', '".sed_sql_prep($row['event_extra2'])."', '".sed_sql_prep($row['event_title'])."', '".sed_sql_prep($row['event_desc'])."', '".sed_sql_prep($row['event_text'])."', '".$row['user_id']."', '".$row['event_date']."', '".$row['event_date']."',  '".$row['event_expire']."', '".sed_sql_prep($row['event_url'])."')");
		$cnt_in++;
		
		// -- NEW TO CONVERT TOOL - CONVERT EVENTS COMMENTS TOO - ADDED BY HODGES -- //

		$sql2 = sed_sql_query("SELECT com_code FROM ".$dbprefix_ldu."com WHERE com_code='n".$row['news_id']."'");

		while ($row2 = sed_sql_fetcharray($sql2))
			{
			$sql3 = sed_sql_query("UPDATE ".$dbprefix_ldu."com SET com_code = 'p".mysql_insert_id()."' WHERE com_code='e".$row['event_id']."'");
			$out .= $sql3;
			}
		// -- FINISH -- //
		}

	$out .= "<br />*** Multiples Inserts : ".$cnt_in;

	$next = sed_buildnxtstep(12);
	break;



	// ------------------------------
	case '12':
	// ------------------------------

	$title = "Moving the weblogs (journals)";
	$comments = "All the weblogs are converted into pages, in the category 'weblogs'.";

	$sql = sed_sql_query("SELECT structure_code FROM ".$dbprefix_ldu."structure WHERE structure_code='weblogs'");

	if ($row = sed_sql_fetcharray($sql))
		{
		$out .= sed_query_chk("INSERT INTO ".$dbprefix_ldu."structure
			(structure_code, structure_path, structure_title, structure_desc, structure_icon, structure_group, structure_order)
			VALUES ('weblogs_old', 'weblogs.old', 'Weblogs (old category)', '', '', 0 , 'title.asc');");
		$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."pages SET page_cat='weblogs_old' WHERE page_cat='weblogs'");
		}
	else
		{
		$out .= sed_query_chk("INSERT INTO ".$dbprefix_ldu."structure
			(structure_code, structure_path, structure_title, structure_desc, structure_icon, structure_group, structure_order)
			VALUES ('weblogs', 'weblogs', 'Weblogs', '', '', 0 , 'title.asc');");
		}

	$sql = sed_sql_query("SELECT * FROM ".$dbprefix_ldu."journals WHERE 1");

	while ($row = sed_sql_fetcharray($sql))
		{
		$sql1 = sed_sql_query("INSERT into ".$dbprefix_ldu."pages (page_state, page_type, page_cat, page_title, page_text, page_ownerid, page_date, page_count, page_author) VALUES
		('0', '0', 'weblogs', '".sed_sql_prep($row['jrn_title'])."', '".sed_sql_prep($row['jrn_text'])."', '".$row['jrn_userid']."', '".$row['jrn_updated']."', '".$row['jrn_count']."', '".sed_sql_prep($row['jrn_username'])."')");
		$cnt_in++;
		
		// -- NEW TO CONVERT TOOL - CONVERT JOURNAL COMMENTS TOO - ADDED BY HODGES -- //

		$sql2 = sed_sql_query("SELECT com_code FROM ".$dbprefix_ldu."com WHERE com_code='n".$row['news_id']."'");

		while ($row2 = sed_sql_fetcharray($sql2))
			{
			$sql3 = sed_sql_query("UPDATE ".$dbprefix_ldu."com SET com_code = 'p".mysql_insert_id()."' WHERE com_code='j".$row['jrn_id']."'");
			$out .= $sql3;
			}
		// -- FINISH -- //
		}

	$out .= "<br />*** Multiples Inserts : ".$cnt_in;

	$next = sed_buildnxtstep(13);
	break;



	// ------------------------------
	case '13':
	// ------------------------------

	$title = "Adding the auth for the new structure";
	$comments = "";

	$sql = sed_sql_query("SELECT structure_code, structure_minlevel FROM ".$dbprefix_ldu."structure WHERE 1 ORDER BY structure_code ASC");

	while ($row = sed_sql_fetcharray($sql))
		{
		$auth = ($row['structure_minlevel']==0) ? 1 : 0;
		$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth (auth_groupid, auth_code, auth_option, auth_rights, auth_rights_lock, auth_setbyuserid)
			VALUES (1, 'page', '".$row['structure_code']."', ".$auth.", 254, 1);");
		$auth = ($row['structure_minlevel']==0) ? 1 : 0;
		$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth (auth_groupid, auth_code, auth_option, auth_rights, auth_rights_lock, auth_setbyuserid)
			VALUES (2, 'page', '".$row['structure_code']."', ".$auth.", 254, 1);");
		$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth (auth_groupid, auth_code, auth_option, auth_rights, auth_rights_lock, auth_setbyuserid)
			VALUES (3, 'page', '".$row['structure_code']."', 0, 255, 1);");
		$auth = ($row['structure_minlevel']==0) ? 3 : 0;
		$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth (auth_groupid, auth_code, auth_option, auth_rights, auth_rights_lock, auth_setbyuserid)
			VALUES (4, 'page', '".$row['structure_code']."', ".$auth.", 128, 1);");
		$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."auth (auth_groupid, auth_code, auth_option, auth_rights, auth_rights_lock, auth_setbyuserid)
			VALUES (5, 'page', '".$row['structure_code']."', 255, 255, 1);");
		$cnt += 5;
		}

	$next = sed_buildnxtstep(14);
	break;



	// ------------------------------
	case '14':
	// ------------------------------

	$title = "Cleaning the old tables";
	$comments = "";

	$out .= sed_query_chk("ALTER TABLE ".$dbprefix_ldu."structure DROP COLUMN structure_pages;");
	$out .= sed_query_chk("ALTER TABLE ".$dbprefix_ldu."structure DROP COLUMN structure_links;");
	$out .= sed_query_chk("ALTER TABLE ".$dbprefix_ldu."structure DROP COLUMN structure_events;");
	$out .= sed_query_chk("ALTER TABLE ".$dbprefix_ldu."structure DROP COLUMN structure_news;");
	$out .= sed_query_chk("ALTER TABLE ".$dbprefix_ldu."structure DROP COLUMN structure_minlevel;");
	$out .= sed_query_chk("ALTER TABLE ".$dbprefix_ldu."pages DROP COLUMN page_owner;");
	$out .= sed_query_chk("DROP TABLE ".$dbprefix_ldu."journals;");
	$out .= sed_query_chk("DROP TABLE ".$dbprefix_ldu."links;");
	$out .= sed_query_chk("DROP TABLE ".$dbprefix_ldu."events;");
	$out .= sed_query_chk("DROP TABLE ".$dbprefix_ldu."news;");

	$next = sed_buildnxtstep(15);
	break;



	// ------------------------------
	case '15':
	// ------------------------------

	$title = "Moving the users with a level other than 1 and 99";
	$comments = "Now moving all the users with intermediate levels, creating groups with the same name as the old level.<br />";
	$comments .= "And once done, cleanign and updating the table of the users.";

	$sql = sed_sql_query("SELECT * FROM ".$dbprefix_ldu."levels WHERE level_level>1 and level_level<99 ORDER BY level_level DESC");

	while ($row = sed_sql_fetcharray($sql))
		{
		$out .= sed_query_chk("INSERT INTO ".$dbprefix_sed."groups (grp_id, grp_alias, grp_level, grp_disabled,  grp_title, grp_desc, grp_icon, grp_pfs_maxfile, grp_pfs_maxtotal, grp_ownerid) VALUES ('','lvl".$row['level_level']."', '".$row['level_level']."', '0', '".$row['level_name']."', 'Old level ".$row['level_level']."', '', '".$row['mevel_pfs_maxfile']."', '".$row['mevel_pfs_maxtotal']."', '1')");
		$cnt_in++;

		$grp_id = sed_sql_insertid();

		// ----------- Adding the auth for this new group

		$sql2 = sed_sql_query("SELECT * FROM ".$dbprefix_sed."auth WHERE auth_groupid='4' order by auth_code ASC, auth_option ASC");

		while ($row2 = sed_sql_fetcharray($sql2))
			{
			$sql3 = sed_sql_query("INSERT into ".$dbprefix_sed."auth (auth_groupid, auth_code, auth_option, auth_rights, auth_rights_lock, auth_setbyuserid) VALUES ('".$grp_id."', '".$row2['auth_code']."', '".$row2['auth_option']."', '".$row2['auth_rights']."', '0', '1')");
			$cnt_in++;
			}

		// ----------- Adding the users memberships for this new group

		$sql2 = sed_sql_query("SELECT user_id FROM ".$dbprefix_ldu."users WHERE user_level='".$row['level_level']."'");

		while ($row2 = sed_sql_fetcharray($sql2))
			{
			$sql3 = sed_sql_query("INSERT INTO ".$dbprefix_sed."groups_users VALUES (".$row2['user_id'].", '".$grp_id."', 0, '', '');");
			$sql3 = sed_sql_query("UPDATE ".$dbprefix_ldu."users SET user_maingrp='".$grp_id."' WHERE user_id='".$row2['user_id']."'");
			$cnt_in++;
			$cnt_up++;
			}
		}
	$out .= "<br />*** Multiples Inserts : ".$cnt_in;
	$out .= "<br />*** Multiples Updates : ".$cnt_up;

	$out .= sed_query_chk("ALTER TABLE ".$dbprefix_ldu."users DROP COLUMN user_level;");
	$out .= sed_query_chk("ALTER TABLE ".$dbprefix_ldu."users DROP COLUMN user_active;");
	$out .= sed_query_chk("ALTER TABLE ".$dbprefix_ldu."users DROP COLUMN user_banned;");

	$out .= sed_query_chk("DROP TABLE IF EXISTS ".$dbprefix_ldu."levels;");
	$out .= sed_query_chk("DROP TABLE IF EXISTS ".$dbprefix_ldu."rights;");
		// -- NEW TO CONVERT TOOL - CONVERT DEFAULT AVATAR TOO - ADDED BY HODGES -- //
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."users SET user_avatar=REPLACE(user_avatar, 'datas/avatars/', 'datas/defaultav/') WHERE 1;");
		// -- FINISH -- //
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."users SET user_avatar=REPLACE(user_avatar, 'datas/users/', 'datas/avatars/') WHERE 1;");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."users SET user_photo=REPLACE(user_photo, 'datas/users/', 'datas/photos/') WHERE 1;");
	$out .= sed_query_chk("UPDATE ".$dbprefix_ldu."users SET user_signature=REPLACE(user_signature, 'datas/users/', 'datas/signatures/') WHERE 1;");

	$next = sed_buildnxtstep(16);



	// ------------------------------
	case '16':
	// ------------------------------

	$title = "More SQL changes";
	$comments = "";

	$out .= sed_query_chk("ALTER TABLE ".$dbprefix_ldu."polls DROP COLUMN poll_minlevel;");
	$out .= sed_query_chk("ALTER TABLE ".$dbprefix_ldu."plugins DROP COLUMN pl_minlevel;");
	$out .= sed_query_chk("ALTER TABLE ".$dbprefix_ldu."pfs_folders DROP COLUMN pff_minlevel;");
	$out .= sed_query_chk("ALTER TABLE ".$dbprefix_ldu."rated ADD COLUMN rated_value tinyint(1) unsigned NOT NULL default '0' AFTER rated_userid;");

	$next = sed_buildnxtstep(17);
	break;



	// ------------------------------
	case '17':
	// ------------------------------

	$title = "Renaming the tables";
	$comments = "";

	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."banlist TO ".$dbprefix_sed."banlist;");
	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."cache TO ".$dbprefix_sed."cache;");
	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."com TO ".$dbprefix_sed."com;");
	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."config TO ".$dbprefix_sed."config;");
	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."forum_posts TO ".$dbprefix_sed."forum_posts;");
	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."forum_sections TO ".$dbprefix_sed."forum_sections;");
	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."forum_topics TO ".$dbprefix_sed."forum_topics;");
	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."logger TO ".$dbprefix_sed."logger;");
	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."online TO ".$dbprefix_sed."online;");
	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."pages TO ".$dbprefix_sed."pages;");
	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."pfs TO ".$dbprefix_sed."pfs;");
	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."pfs_folders TO ".$dbprefix_sed."pfs_folders;");
	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."plugins TO ".$dbprefix_sed."plugins;");
	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."pm TO ".$dbprefix_sed."pm;");
	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."polls TO ".$dbprefix_sed."polls;");
	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."polls_options TO ".$dbprefix_sed."polls_options;");
	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."polls_voters TO ".$dbprefix_sed."polls_voters;");
	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."rated TO ".$dbprefix_sed."rated;");
	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."ratings TO ".$dbprefix_sed."ratings;");
	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."referers TO ".$dbprefix_sed."referers;");
	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."smilies TO ".$dbprefix_sed."smilies;");
	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."stats TO ".$dbprefix_sed."stats;");
	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."structure TO ".$dbprefix_sed."structure;");
	$out .= sed_query_chk("RENAME TABLE ".$dbprefix_ldu."users TO ".$dbprefix_sed."users;");

	$next = sed_buildnxtstep(18);
	break;



	// ------------------------------
	case '18':
	// ------------------------------

	$title = "Un-installing the old plugins";
	$comments = "Remember you will have to manually replace all the LDU plugins by Seditio compatible versions.";

	$out .= sed_query_chk("TRUNCATE TABLE ".$dbprefix_sed."plugins;");

	$next = sed_buildnxtstep(19);
	break;



	// ------------------------------
	case '19':
	// ------------------------------

	$title = "Trying to update the menu slots";
	$comments = "Now attempting to update the menu slots with the new URLS.<br />";
	$comments .= "If the URLs are hardcoded in the skin files, this should have no effects at all.";

	$out .= sed_query_chk("UPDATE ".$dbprefix_sed."config SET config_value=REPLACE(config_value, 'auth.php', 'users.php?m=auth') WHERE 1;");
	$out .= sed_query_chk("UPDATE ".$dbprefix_sed."config SET config_value=REPLACE(config_value, 'auth.php?m=register', 'users.php?m=register') WHERE 1;");
	$out .= sed_query_chk("UPDATE ".$dbprefix_sed."config SET config_value=REPLACE(config_value, 'journal.php?m=home', 'list.php?c=weblogs') WHERE 1;");
	$out .= sed_query_chk("UPDATE ".$dbprefix_sed."config SET config_value=REPLACE(config_value, 'events.php?f=incoming', 'list.php?c=events') WHERE 1;");
	$out .= sed_query_chk("UPDATE ".$dbprefix_sed."config SET config_value=REPLACE(config_value, 'events.php', 'list.php?c=events') WHERE 1;");
	$out .= sed_query_chk("UPDATE ".$dbprefix_sed."config SET config_value=REPLACE(config_value, 'links.php?c=links', 'list.php?c=links') WHERE 1;");
	$out .= sed_query_chk("UPDATE ".$dbprefix_sed."config SET config_value=REPLACE(config_value, 'links.php', 'list.php?c=links') WHERE 1;");
	$out .= sed_query_chk("UPDATE ".$dbprefix_sed."config SET config_value=REPLACE(config_value, 'profile.php', 'users.php?m=profile') WHERE 1;");
	$next = sed_buildnxtstep(20);
	break;

	// ------------------------------
	case '20':
	// ------------------------------

	$title = "Setting the version number for Seditio";
	$comments = "This is the last step of the SQL upgrade.";

	$out .= sed_query_chk("UPDATE ".$dbprefix_sed."stats SET stat_value='100' WHERE stat_name='version';");
	$next = "<strong>Done !<br />&nbsp;<br /><a href=\"index.php\">--&gt; Click here to open the site, then go on with the rest of the upgrade process &lt;--</a></strong>";
	break;

	default:
	die ('Wrong URL !');
	break;

	}

echo("<h2>Step ".$step." : ".$title."</h2>");
echo("<div style=\"padding:8px; font-size:90%; background-color:#4D4C52;\">".$comments."</div>");
echo("<div style=\"padding:8px;\">".$out."</div>");
echo("<div style=\"padding:16px;\">".$next."</div>");

@ob_end_flush();
@ob_end_flush();

?>
